summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorAnas Nashif <anas.nashif@intel.com>2013-02-22 07:24:03 -0800
committerAnas Nashif <anas.nashif@intel.com>2013-02-22 07:24:03 -0800
commit2cdd5bf0e73eff343d4ca085b315e78982e76202 (patch)
treee9082ffa48b4651e998fd9caa1dab827a9e6b7ae /autogen.sh
downloadxdelta1-2cdd5bf0e73eff343d4ca085b315e78982e76202.tar.gz
xdelta1-2cdd5bf0e73eff343d4ca085b315e78982e76202.tar.bz2
xdelta1-2cdd5bf0e73eff343d4ca085b315e78982e76202.zip
Imported Upstream version 1.1.4upstream/1.1.4upstream
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..5f2e9c2
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile xdelta."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile xdelta."
+ echo "Get ftp://alpha.gnu.org/gnu/libtool-1.2d.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile xdelta."
+ echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.4.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+(test -f xdelta.c) || {
+ echo "You must run this script in the top-level xdelta directory"
+ exit 1
+}
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+for i in .
+do
+ echo processing $i
+ (cd $i; \
+ libtoolize --copy --force; \
+ aclocal $ACLOCAL_FLAGS; autoheader; \
+ automake --add-missing; \
+ autoheader; \
+ autoconf)
+done
+
+echo "Running ./configure --enable-maintainer-mode" "$@"
+./configure --enable-maintainer-mode "$@"
+
+echo
+echo "Now type 'make' to compile xdelta."